body {
  width: 100%;
  height: 100dvh;
  background-color: #fcf8f9;
  background-image:
    url("assets/borboleta_topo.png"), url("assets/borboleta_base.png");
  background-position:
    0 45px,
    bottom right;
  background-size:
    45% auto,
    25% auto;
  background-repeat: no-repeat;
  background-attachment: fixed;
  display: flex;
  flex-direction: column;
}

.container {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  flex: 1;
  gap: 35px;
}

.header {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  padding: 12px;
  position: relative;

  & * {
    font-family: "Stardos Stencil", sans-serif;
  }

  & .menu {
    display: none;
    list-style: none;
    gap: 5px;

    & li {
      & a {
        display: flex;
        align-items: stretch;
        gap: 5px;
        padding: 5px 15px;
        border-radius: 5px;
        text-decoration: none;
        color: #d7ac6d;
        font-size: 1.125rem;
        transition: all 0.2s ease-out;

        &:hover {
          background-color: rgba(215, 173, 109, 0.46);
        }

        &.destaque {
          background-color: #00a85e;
          color: #fff;

          &:hover {
            background-color: rgba(215, 173, 109, 0.46);
            color: #d7ac6d;
          }
        }
      }
    }
  }

  & .menu-mobile-btn {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    background-color: transparent;
    color: #d7ac6d;

    & .lucide-menu-icon,
    & .lucide-x-icon {
      position: absolute;
      top: 5px;
      right: 5px;
      transition:
        transform 0.4s cubic-bezier(0.4, 0, 0.2, 1),
        opacity 0.3s ease;
    }

    /* Estado Inicial: X escondido e rotacionado */
    & .lucide-x-icon {
      opacity: 0;
      transform: rotate(-90deg);
    }

    /* Quando o menu estiver ATIVO */
    &.active .lucide-menu-icon {
      opacity: 0;
      transform: rotate(90deg);
    }

    &.active .lucide-x-icon {
      opacity: 1;
      transform: rotate(0deg);
    }
  }

  & .menu-vertical {
    display: block;
    list-style: none;
    gap: 5px;
    width: 90%;
    max-width: 350px;
    height: calc(100dvh - 50px);
    background-color: #f1f1f2;
    position: absolute;
    right: 0;
    top: 50px;
    border-top-left-radius: 25px;
    border-left: 1px dashed #999b9d;
    border-top: 1px dashed #999b9d;
    z-index: 9999;
    position: fixed;

    & li {
      border-bottom: 1px dashed #999b9d;

      & a {
        display: flex;
        align-items: stretch;
        gap: 5px;
        padding: 15px 25px;
        margin: 7px;
        border-radius: 5px;
        text-decoration: none;
        color: #d7ac6d;
        font-size: 1.125rem;
        transition: all 0.2s ease-out;

        &:hover {
          background-color: rgba(215, 173, 109, 0.46);
        }

        &.destaque {
          background-color: #00a85e;
          color: #fff;

          &:hover {
            background-color: rgba(215, 173, 109, 0.46);
            color: #d7ac6d;
          }
        }
      }
    }
  }
}

.entrada {
  width: 100%;
  padding: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;

  & p {
    font-size: 1.6rem;
    text-align: center;
    padding-bottom: 5px;
  }
}

.container-logo {
  width: 100%;
  display: flex;
  justify-content: center;

  & img {
    max-width: 65%;
  }
}

.box-data {
  max-width: 350px;
  padding: 10px 0;

  & .content-data {
    margin: 0 auto;

    & p {
      font-size: 1.875rem;
      text-align: center;
    }

    & .data {
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 10px;
      padding: 10px 0;

      & .dias,
      & .horas,
      & .minutos {
        width: 113px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
      }

      & p {
        font-family: "Stardos Stencil", sans-serif;
        font-size: 1rem;

        &.numero {
          font-size: 2rem;
          color: #d7ac6d;
          font-weight: 700;
        }

        &.label {
          text-transform: uppercase;
        }
      }

      & img {
        height: 60px;
      }
    }
  }
}

.box-textos {
  max-width: 90%;

  & p {
    text-align: center;
    font-size: 1.5625rem;
    margin-bottom: 10px;

    & .link {
      font-size: 1.5625rem;
      text-decoration: none;
      color: #d7ac6d;

      &:hover {
        text-decoration: underline;
      }
    }
  }
}

.footer {
  width: 100%;
  display: flex;
  gap: 5px;
  font-size: 0.8125rem;
  justify-content: center;
  align-items: center;
  font-family: "Stardos Stencil", sans-serif;

  & span {
    color: red;
  }

  & a {
    color: black;
    font-family: inherit;
    font-size: inherit;
  }
}

/* PÁGINA 404 */
.erro-pagina {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  & .erros {
    width: 90%;
    max-width: 365px;
    display: flex;
    flex-direction: column;
    gap: 10px;

    & h2 {
      font-size: 2.5rem;
      text-align: center;

      & span {
        color: red;
        font-size: inherit;
      }
    }

    & p {
      font-size: 1.8rem;
      text-align: center;
    }
  }
}

h1.titulo-pagina {
  font-family: "Fleur De Leah", cursive;
  font-size: 3.125rem;
  color: #d7ac6d;
  margin-bottom: 20px;
  text-shadow: 3px 3px 3px #d9d9db;
}

/* PÁGINA HISTÓRIA */
.container-historia {
  width: 95%;
  max-width: 1200px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  & .linha {
    width: 100%;
    display: flex;

    & .content-linha {
      display: flex;
      flex-direction: column;
      width: 50%;
      position: relative;
      border-right: 3px solid #e6e7e8;

      & .quadro {
        width: 75%;
        margin: 10px;
        border-radius: 8px;
        border: 1px solid #f1f1f2;
        box-shadow: #0000001a 0px 4px 6px -1px;
        background-color: #ffffff78;
        z-index: 10;

        & h2 {
          font-family: "Stardos Stencil", sans-serif;
          border-bottom: 2px solid #f1f1f2;
          padding: 10px;
        }

        & .historias {
          width: 100%;
          min-height: 70px;
          display: flex;
          flex-direction: column;
          align-items: center;
          padding: 10px;
          // gap: 10px;

          & .historia {
            border-bottom: 1px solid #d0d0d0;
            display: flex;
            flex-direction: column;
            align-items: center;
            padding: 10px;
            gap: 10px;
            position: relative;

            &:last-of-type {
              border-bottom: 0;
            }

            & img {
              max-width: 80px;
              max-height: 80px;
              min-width: 80px;
              min-height: 80px;
              border-radius: 50%;
              cursor: pointer;
              -webkit-tap-highlight-color: transparent;
            }

            & p {
              font-size: 1.5625rem;
              text-align: center;
            }

            & .dia {
              font-family: "Stardos Stencil", sans-serif;
              color: #999b9d;
              position: absolute;
              top: 0;
              right: 0;
            }
          }
        }
      }

      & .info-img {
        display: flex;
        align-items: center;
        margin: 0 10px;
        gap: 5px;
        color: #999b9d;
        font-family: "Stardos Stencil", sans-serif;
        font-size: 1rem;
        font-style: italic;
      }

      & .break-point {
        position: absolute;
        right: 0;
        top: 50%;
        transform: translate(50%, -50%);
      }
    }

    &.reverse {
      flex-direction: row-reverse;

      & .content-linha {
        border-right: none;
        border-left: 3px solid #e6e7e8;
        margin-right: 3px;
        align-items: flex-end;

        & .break-point {
          position: absolute;
          left: 0;
          top: 50%;
          transform: translate(-50%, -50%);
        }
      }
    }
  }
}

.aguarde {
  font-size: 2rem;
  margin-bottom: 20px;
  text-align: center;

  & * {
    font-size: 2rem;
  }

  & .destaque {
    font-size: 3rem;
    color: #d7ac6d;
  }

  & .destaque2 {
    font-size: 2.5rem;
    color: #d7ac6d;
  }
}

/* PÁGINA RECADINHOS */
.container-recadinhos {
  width: 95%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  & .box-mensagens {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;

    & .form-mensagens {
      width: 95%;
      border-radius: 8px;
      border: 1px solid #cacaca;
      box-shadow: #0000001a 0px 4px 6px -1px;
      background-color: #fff;
      z-index: 10;
      padding: 10px;

      display: flex;
      flex-direction: column;

      & h2 {
        font-size: 2.5rem;
        color: #f7adaf;
        text-shadow: 3px 3px 3px #d9d9db;
      }

      & p {
        font-family: "Stardos Stencil", sans-serif;
        color: #999b9d;
        margin-bottom: 5px;
      }

      & form {
        & * {
          font-family: "Stardos Stencil", sans-serif;
        }

        display: flex;
        flex-direction: column;

        & .linha-form {
          display: flex;
          flex-direction: column;
          margin-top: 10px;

          & label {
            font-size: 1.125rem;

            & span {
              color: red;
            }
          }

          & input,
          & textarea {
            border: 1px solid #e2d6db;
            border-radius: 8px;
            background-color: #f1f1f2;
            padding: 10px;
          }

          & .opcional {
            color: #999b9d;
            font-size: 0.8125rem;
            font-style: italic;
          }

          & .obrigatorio {
            color: red;
            font-size: 0.75rem;
          }

          & button {
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: #f7adaf;
            border: none;
            border-radius: 50px;
            padding: 10px;
            cursor: pointer;
            transition: all 0.2s ease;

            &:hover {
              background-color: #f7c3c5;
            }
          }
        }
      }
    }

    & .mensagens {
      width: 95%;
      display: flex;
      flex-direction: column;
      align-items: stretch;
      padding: 20px 0;

      & .mensagem-vazia {
        width: 100%;
        z-index: 10;
        padding: 20px;
        margin-bottom: 20px;
        font-size: 2rem;
      }

      & .mensagem {
        width: 100%;
        border-radius: 8px;
        border: 1px solid #cacaca;
        background-color: #fff;
        z-index: 10;
        padding: 10px;
        margin-bottom: 20px;

        & .titulo {
          display: flex;
          justify-content: space-between;
          align-items: center;
          gap: 10px;
          margin-bottom: 15px;

          & .textos {
            flex: 1;

            & h2 {
              font-size: 1.6875rem;
            }

            & p {
              color: #999b9d;
            }
          }
        }

        & .texto-mensagem {
          font-size: 1.5625rem;
          text-align: center;
        }
      }
    }
  }
}

/* BOX ERROS */
.error {
  display: none;
  gap: 10px;
  border: 1px solid #999b9d;
  background-color: #d0d2d3;
  align-items: center;
  padding: 20px 10px;
  border-radius: 12px;
  width: 100%;

  &.success {
    border-color: #03643a;
    background-color: #50e9a7;

    & div,
    & p {
      color: #03643a !important;
    }
  }

  &.erro {
    border-color: #781104;
    background-color: #fab1cd;

    & div,
    & p {
      color: #781104 !important;
    }
  }
}

/* PÁGINA APROVAR RECADINHOS */
.container-aprovar-recadinhos {
  & * {
    font-family: "Stardos Stencil", sans-serif;
  }

  width: 95%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;

  & .btn-logout-aprovar {
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    gap: 4px;

    align-items: center;
    justify-content: center;
    background-color: #f7adaf;
    border: none;
    border-radius: 50px;
    padding: 10px 20px;
    cursor: pointer;
    transition: all 0.2s ease;

    text-decoration: none;
    color: #000;

    &:hover {
      background-color: #f7c3c5;
    }
  }

  & table {
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
    margin: 0;
    padding: 0;
    margin-top: 10px;
    background-color: rgba(255, 255, 255, 0.5);

    & th,
    & td {
      padding: 0;
      margin: 0;
      font-weight: normal;
      text-align: left;
      border: none;
      padding: 8px 10px;
    }

    & thead {
      text-transform: uppercase;
      background-color: #d7ac6d;
      border-bottom: 1px solid #999b9d;

      & th:first-of-type {
        border-top-left-radius: 10px;
      }

      & th:last-of-type {
        border-top-right-radius: 10px;
      }
    }

    & tbody {
      & tr {
        border-bottom: 1px solid #999b9d;

        &:hover {
          background-color: #f7c3c5;
        }
      }

      & .botoes {
        display: flex;
        gap: 5px;
        justify-content: flex-end;

        & button {
          display: flex;
          gap: 4px;

          align-items: center;
          justify-content: center;
          background-color: #999b9d;
          border: none;
          border-radius: 50px;
          padding: 10px;
          cursor: pointer;
          transition: all 0.2s ease;

          &.btn-aprovar-recadinho {
            background-color: #03643a;
            color: #fff;

            &:hover {
              background-color: #1cb573;
            }
          }

          &.btn-reprovar-recadinho {
            background-color: #781104;
            color: #fff;

            &:hover {
              background-color: #d0685b;
            }
          }
        }
      }
    }
  }
}

/* MODAL ZOOM IMAGENS */
.modal-zoom {
  display: none; /* Escondido por padrão */
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.85);
  backdrop-filter: blur(5px); /* Efeito de desfoque no fundo */
  justify-content: center;
  align-items: center;
  animation: fadeIn 0.3s ease;
}

.modal-content {
  max-width: 90%;
  max-height: 85%;
  border-radius: 10px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
  transform: scale(0.8);
  animation: zoomIn 0.3s forwards;
}

.close-modal {
  position: absolute;
  top: 20px;
  right: 25px;
  color: #fff;
  cursor: pointer;
  transition: transform 0.2s;
}

.close-modal:hover {
  transform: scale(1.2);
}

/* Animações */
@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes zoomIn {
  from {
    transform: scale(0.8);
  }
  to {
    transform: scale(1);
  }
}

/* Animação de rotação */
@keyframes girar {
  to {
    transform: rotate(360deg);
  }
}

/* A classe do loader que será inserida no botão */
.loader-btn {
  width: 18px;
  height: 18px;
  border: 2px solid transparent;
  border-top-color: currentColor; /* Pega a cor do texto atual do botão */
  border-radius: 50%;
  display: inline-block;
  animation: girar 0.6s linear infinite;
  vertical-align: middle;
}
